## Retrieve CounterPricing

### cURL

curl --request GET \
      --url https://api.m3ter.com/organizations/{orgId}/counterpricings/{id} \
      --header 'Authorization: Bearer <token>'

### Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}"
    
    headers = {"Authorization": "Bearer <token>"}
    
    response = requests.get(url, headers=headers)
    
    print(response.text)

### JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
    
    fetch('https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}', options)
      .then(res => res.json())
      .then(res => console.log(res))
      .catch(err => console.error(err));

### PHP




### Response Codes

- 200
- 4XX
- 5XX

### Response Example
```json
{
  "id": "<string>",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "planId": "<string>",
  "planTemplateId": "<string>",
  "cumulative": true,
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "description": "<string>",
  "accountingProductId": "<string>",
  "pricingBands": [
    {
      "lowerLimit": 1,
      "fixedPrice": 123,
      "unitPrice": 123,
      "id": "<string>",
      "creditTypeId": "<string>"
    }
  ],
  "counterId": "<string>",
  "runningTotalBillInAdvance": true,
  "proRateRunningTotal": true,
  "proRateAdjustmentDebit": true,
  "proRateAdjustmentCredit": true
}
```

#### Authorization

- **Header**: `Authorization`
- **Required**: Yes
- **Description**: Machine to machine authentication using the `clientCredentials` OAuth2 flow.

#### Path Parameters

- **orgId**: UUID of the Organization (required).
- **id**: UUID of the CounterPricing to retrieve (required).

#### Response
Returns the CounterPricing data object.
